<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Notebook Integration</title>
  <style>
    pre {
      white-space: pre-line;
    }
    #stratificationPre {
      border: 1px solid #222;
    }
  </style>
</head>
<body>
  <h1>Environment</h1>
  <select id="environmentSelect">
    <option value="prod" selected="selected">Production</option>
    <option value="stage">Stage</option>
  </select>

  <h1>Credentials</h1>
  <input type="password" id="credentialsInput" placeholder="Enter your API key..." />
  <button id="credentialsInputHideShowButton">Show / Hide API Key</button>
  
  <br/>
  <h1>Fields</h1>
  <button id="getFieldsButton">Populate Fields List</button>
  <div id="getFieldsStatus">Status: No Requests Made Yet</div>
  <br />
  <input type="text" id="fieldsSearchInput" placeholder="Filter Fields..." />
  <hr />
  <select id="fieldsSelect">
    <option value="">Awaiting population of fields list...</option>
  </select>
  <br />
  <h3>Copy Field Data into Notebook from Here:</h3>
  <pre id="fieldPre"></pre>

  <br/>
  <h1>Post Stratification Results</h1>
  <button id="submitStratificationButton">Submit Stratification</button>
  <div id="submitStratificationStatus">Status: No Requests Made Yet</div>
  <h3>Paste Notebook Output Here:</h3>
  <pre id="stratificationPre" contenteditable="true"></pre>

  <br/>
  <h1>Locations CSV</h1>
  <pre id="locationsCSVPre"></pre>

  <script src="./index.js"></script>
</body>
</html>